Subject: categories: A curiosity

From: Michael Barr <[email-masked]>
Date: Sat, 12 Feb 2000 13:46:44 -0500 (EST)

You may be amused trying to prove it (it is not easy), but a category in
which every morphism has a unique quasi-inverse (AfE!g fgf=f) is a
groupoid.  It is actually a theorem about semigroups, but the proof works
just as well for categories.  (You can add an identity without affecting
the hypothesis.)

Michael